Bug 829724 - rhn_package_manager failes with Traceback when option --newest is used.
rhn_package_manager failes with Traceback when option --newest is used.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
550
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Pavel Studeník
:
Depends On:
Blocks: sat550-blockers
  Show dependency treegraph
 
Reported: 2012-06-07 08:26 EDT by Dimitar Yordanov
Modified: 2012-11-22 08:34 EST (History)
6 users (show)

See Also:
Fixed In Version: spacewalk-proxy-1.7.12-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:21:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2012-06-07 08:26:46 EDT
Description of problem:
rhn_package_manager failes with Traceback when option --newest is used.

Version-Release number of selected component (if applicable):
spacewalk-proxy-package-manager-1.7.12-4.el6sat.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create Custom Channel - $CUSTOM_CHANNEL
2. Create RPM package
3. rhn_package_manager -c $CUSTOM_CHANNEL test-regular-Test_RPM-0.1-1.${ARCH}.rpm  --username=${RHN_USER} --password=${RHN_PASS} --nosig --newest
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/rhn_package_manager", line 28, in <module>
    rhn_package_manager.main()
  File "/usr/share/rhn/PackageManager/rhn_package_manager.py", line 113, in main
    upload.newest()
  File "/usr/share/rhn/rhnpush/uploadLib.py", line 217, in newest
    return self.get_newest_binary_packages()
  File "/usr/share/rhn/rhnpush/uploadLib.py", line 264, in get_newest_binary_packages
    pkglist = listChannelBySession(self.server, self.session.getSessionString(), self.channels)
AttributeError: UploadClass instance has no attribute 'session'


Additional info:
Comment 1 Clifford Perry 2012-06-08 15:03:21 EDT
regression?
Comment 3 Michael Mráka 2012-06-14 05:01:23 EDT
The issue has been fixed in spacewalk master by
commit a96b7e2e784bb7dcb5a7a95eebb43a0aeeee49d4
    829724 - use session based calls from rhnpush.uploadLib
commit 1bd9af9891f3d2a3a7dc251789b3803beaf10ba5
    829724 - modified checkSync() to use session based authentication
commit 9fbc16fae1647b4b25d702cb92cc4f34011a3dd5
    829724 - session based authentication needs --new-cache and --no-cache
commit 271f618cb0a2ba32bbc2e8b299aa30fb6019486c
    829724 - use session based authentication
    once we push packages via /APP we can reuse session based authentication
    from rhnpush
commit f75f2af00191f22109333dbd433ce1d6bc1c577b
    829724 - /XP handler defines small subset of /APP handler functions
    so let's use /APP directly; moreover this is the only tool which uses /XP
Comment 7 Clifford Perry 2012-09-21 05:21:04 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.